| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csG2DDrawBox< Tpixel, Tpixmixer > Class Template Reference
[Common Plugin Classes]

Draw a box to a (software) canvas. More...

`#include <csplugincommon/canvas/draw_box.h>`

List of all members.

## Static Public Member Functions
static void | DrawBox (csGraphics2D *G2D, int x, int y, int w, int h, Tpixel color, uint8 alpha)
| Draw a box.

## Detailed Description

### template<class Tpixel, class Tpixmixer>
class csG2DDrawBox< Tpixel, Tpixmixer >

Draw a box to a (software) canvas.

`Tpixel` defines the type of a pixel (e.g. uint32...), `Tpixmixer` a matching mixer class.

Definition at line 39 of file draw_box.h.

## Member Function Documentation

template<class Tpixel, class Tpixmixer>

static void csG2DDrawBox< Tpixel, Tpixmixer >::DrawBox | ( | csGraphics2D * | G2D,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | Tpixel | color,
|  | uint8 | alpha |
| ) |  |  | `[inline, static]`

Draw a box.

Definition at line 43 of file draw_box.h.

References csGraphics2D::GetPixelAt().

The documentation for this class was generated from the following file:

- csplugincommon/canvas/draw_box.h